package domain;

import java.util.ArrayList;

public enum Motion {
	Static("Static"),
	Loose("Loose"),
	Tilt("Tilt"),
	Pan("Pan"),
	Zoom("Zoom"),
	Dolly("Dolly"),
	Steadicam("Steadicam"),
	Crane("Crane"),
	Aerial("Aerial"),
	Handheld("Handheld"),
	DutchTilt("Dutch Tilt"),
	DollyZoom("Dolly Zoom"),
	Circle("Circle"),
	Other("Other");
	
	private final String name;       

    private Motion(String name) {
        this.name = name;
    }
    
    public String getName() {
    	return name;
    }
    
    public static ArrayList<String> getStrings() {
    	ArrayList<String> v = new ArrayList<String>();
    	for (Motion s: Motion.values()) {
    		v.add(s.getName());
    	}
    	return v;
    }
}
