package liner;

import java.awt.Color;

public class FormValues {
	
	String version = "2016-04-09_1";

	/* Hot Keys */
	int lineUp = 38; // "Up";
	int lineDown = 40; //"Down";
	int nextPage = 39; // "Right";
	int prevPage = 37; // "Left";
	int firstPage = 36; // "Home";
	int lastPage = 35; // "End";
	int firstLine = 33; // "Page Up";
	int lastLine = 34; // "Page Down";
	int help = 112; // "F1";
	int toggleCut = 113; // "F2";
	int shotUp = 114; // "F3";
	int shotDown = 51; //"3";
	int cleanUp = 115; //"F4";
	int cleanDown = 52; //"4";
	int motionUp = 116; // "F5";
	int motionDown = 53; // "5";
	int toggleObj1 = 117; // "F6";
	int toggleObj2 = 118; // "F7";
	int toggleObj3 = 119; // "F8";
	int toggleObj4 = 120; // "F9";
	int toggleObj5 = 121; // "F10";
	int toggleObj6 = 122; // "F11";
	int toggleObj7 = 123; // "F12";
	int playPause = 32; // "Space";
	int shft = 16;
	int ctrl = 17;
	int alt = 18;
	int save = 83; // "S";
	
	int speed = 5000;
	
	Color curLineColor = Color.PINK;
	Color cutLineColor = Color.CYAN;
	Color changeLineColor = Color.ORANGE;
	Color newSceneColor = Color.YELLOW;
	Color headerColor = Color.LIGHT_GRAY;
	
	public String getVersion() {
		return version;
	}
	
	public int getLineUp() {
		return lineUp;
	}
	public void setLineUp(int lineUp) {
		this.lineUp = lineUp;
	}
	public int getLineDown() {
		return lineDown;
	}
	public void setLineDown(int lineDown) {
		this.lineDown = lineDown;
	}
	public int getNextPage() {
		return nextPage;
	}
	public void setNextPage(int nextPage) {
		this.nextPage = nextPage;
	}
	public int getPrevPage() {
		return prevPage;
	}
	public void setPrevPage(int prevPage) {
		this.prevPage = prevPage;
	}
	public int getFirstPage() {
		return firstPage;
	}
	public void setFirstPage(int firstPage) {
		this.firstPage = firstPage;
	}
	public int getLastPage() {
		return lastPage;
	}
	public void setLastPage(int lastPage) {
		this.lastPage = lastPage;
	}
	public int getFirstLine() {
		return firstLine;
	}
	public void setFirstLine(int firstLine) {
		this.firstLine = firstLine;
	}
	public int getLastLine() {
		return lastLine;
	}
	public void setLastLine(int lastLine) {
		this.lastLine = lastLine;
	}
	public int getHelp() {
		return help;
	}
	public void setHelp(int help) {
		this.help = help;
	}
	public int getToggleCut() {
		return toggleCut;
	}
	public void setToggleCut(int toggleCut) {
		this.toggleCut = toggleCut;
	}
	public int getShotUp() {
		return shotUp;
	}
	public void setShotUp(int shotUp) {
		this.shotUp = shotUp;
	}
	public int getShotDown() {
		return shotDown;
	}
	public void setShotDown(int shotDown) {
		this.shotDown = shotDown;
	}
	public int getCleanUp() {
		return cleanUp;
	}
	public void setCleanUp(int cleanUp) {
		this.cleanUp = cleanUp;
	}
	public int getCleanDown() {
		return cleanDown;
	}
	public void setCleanDown(int cleanDown) {
		this.cleanDown = cleanDown;
	}
	public int getMotionUp() {
		return motionUp;
	}
	public void setMotionUp(int motionUp) {
		this.motionUp = motionUp;
	}
	public int getMotionDown() {
		return motionDown;
	}
	public void setMotionDown(int motionDown) {
		this.motionDown = motionDown;
	}
	public int getToggleObj1() {
		return toggleObj1;
	}
	public void setToggleObj1(int toggleObj1) {
		this.toggleObj1 = toggleObj1;
	}
	public int getToggleObj2() {
		return toggleObj2;
	}
	public void setToggleObj2(int toggleObj2) {
		this.toggleObj2 = toggleObj2;
	}
	public int getToggleObj3() {
		return toggleObj3;
	}
	public void setToggleObj3(int toggleObj3) {
		this.toggleObj3 = toggleObj3;
	}
	public int getToggleObj4() {
		return toggleObj4;
	}
	public void setToggleObj4(int toggleObj4) {
		this.toggleObj4 = toggleObj4;
	}
	public int getToggleObj5() {
		return toggleObj5;
	}
	public void setToggleObj5(int toggleObj5) {
		this.toggleObj5 = toggleObj5;
	}
	public int getToggleObj6() {
		return toggleObj6;
	}
	public void setToggleObj6(int toggleObj6) {
		this.toggleObj6 = toggleObj6;
	}
	public int getToggleObj7() {
		return toggleObj7;
	}
	public void setToggleObj7(int toggleObj7) {
		this.toggleObj7 = toggleObj7;
	}
	public int getPlayPause() {
		return playPause;
	}
	public void setPlayPause(int playPause) {
		this.playPause = playPause;
	}
	public int getShft() {
		return shft;
	}
	public void setShft(int shft) {
		this.shft = shft;
	}
	public int getCtrl() {
		return ctrl;
	}
	public void setCtrl(int ctrl) {
		this.ctrl = ctrl;
	}
	public int getAlt() {
		return alt;
	}
	public void setAlt(int alt) {
		this.alt = alt;
	}
	
	public int getSave() {
		return save;
	}

	public void setSave(int save) {
		this.save = save;
	}

	public int getSpeed() {
		return speed;
	}
	public void setSpeed(int speed) {
		this.speed = speed;
	}
	public Color getCurLineColor() {
		return curLineColor;
	}
	public void setCurLineColor(Color curLineColor) {
		this.curLineColor = curLineColor;
	}
	public Color getCutLineColor() {
		return cutLineColor;
	}
	public void setCutLineColor(Color cutLineColor) {
		this.cutLineColor = cutLineColor;
	}
	public Color getChangeLineColor() {
		return changeLineColor;
	}
	public void setChangeLineColor(Color changeLineColor) {
		this.changeLineColor = changeLineColor;
	}

	public Color getNewSceneColor() {
		return newSceneColor;
	}

	public void setNewSceneColor(Color newSceneColor) {
		this.newSceneColor = newSceneColor;
	}

	public Color getHeaderColor() {
		return headerColor;
	}

	public void setHeaderColor(Color headerColor) {
		this.headerColor = headerColor;
	}
	
}
