package liner;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyEvent;

import javax.swing.BoxLayout;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class HelpForm extends JFrame {
	
	FormValues values;
	
	JPanel help = new JPanel();
	
	JLabel version = new JLabel();
	
	JLabel helpL = new JLabel("help:");
	JTextField  helpT = new JTextField();
	JPanel helpP = new JPanel();
	
	JLabel toggleCutL = new JLabel("toggle cut:");
	JTextField toggleCutT = new JTextField();
	JPanel toggleCutP = new JPanel();
	
	JLabel shotUpL = new JLabel("shot type up:");
	JTextField shotUpT = new JTextField();
//	JPanel shotUpP = new JPanel();
	
	JLabel shotDownL = new JLabel("shot type down:");
	JTextField shotDownT = new JTextField();
	JPanel shotP = new JPanel();
	
	JLabel cleanUpL = new JLabel("clean type up:");
	JTextField cleanUpT = new JTextField();
//	JPanel cleanUpP = new JPanel();
	
	JLabel cleanDownL = new JLabel("clean type down:");
	JTextField cleanDownT = new JTextField();
	JPanel cleanP = new JPanel();
	
	JLabel motionUpL = new JLabel("motion up:");
	JTextField motionUpT = new JTextField();
//	JPanel motionUpP = new JPanel();
	
	JLabel motionDownL = new JLabel("motion down:");
	JTextField motionDownT = new JTextField();
	JPanel motionP = new JPanel();
	
	JLabel toggleObj1L = new JLabel("toggle Object 1:");
	JTextField toggleObj1T = new JTextField();
	JPanel toggleObj1P = new JPanel();
	
	JLabel toggleObj2L = new JLabel("toggle Object 2:");
	JTextField toggleObj2T = new JTextField();
	JPanel toggleObj2P = new JPanel();
	
	JLabel toggleObj3L = new JLabel("toggle Object 3:");
	JTextField toggleObj3T = new JTextField();
	JPanel toggleObj3P = new JPanel();
	
	JLabel toggleObj4L = new JLabel("toggle Object 4:");
	JTextField toggleObj4T = new JTextField();
	JPanel toggleObj4P = new JPanel();
	
	JLabel toggleObj5L = new JLabel("toggle Object 5:");
	JTextField toggleObj5T = new JTextField();
	JPanel toggleObj5P = new JPanel();
	
	JLabel toggleObj6L = new JLabel("toggle Object 6:");
	JTextField toggleObj6T = new JTextField();
	JPanel toggleObj6P = new JPanel();
	
	JLabel toggleObj7L = new JLabel("toggle Object 7:");
	JTextField toggleObj7T = new JTextField();
	JPanel toggleObj7P = new JPanel();
	
	JLabel speedL = new JLabel("speed:");
	JTextField speedT = new JTextField();
	
	JLabel playPauseL = new JLabel("playPause:");
	JTextField playPauseT = new JTextField();
	JPanel playPauseP = new JPanel();
	
	JLabel ctrlClick = new JLabel("Ctrl-F2 or Ctrl-click Cut Toggle - Copy shot before last");
	JLabel altClick = new JLabel("Atl-F2 or Alt-click Cut Toggle - Copy two shots back");
	JLabel ctrlObj = new JLabel("Ctrl-F6 to F12 or Ctrl-click Obj Toggle - Deselect/select rest");
	JLabel altObj = new JLabel("Alt-F6 to F12 or Alt-click Obj Toggle - Deselect/select all");
	
	public HelpForm(FormValues inhk) {
		values = inhk;
		
		version.setText("Version: " + values.getVersion());
		helpT.setText(KeyEvent.getKeyText(values.getHelp()));
		toggleCutT.setText(KeyEvent.getKeyText(values.getToggleCut()));
		shotUpT.setText(KeyEvent.getKeyText(values.getShotUp()));
		shotDownT.setText(KeyEvent.getKeyText(values.getShotDown()));
		cleanUpT.setText(KeyEvent.getKeyText(values.getCleanUp()));
		cleanDownT.setText(KeyEvent.getKeyText(values.getCleanDown()));
		motionUpT.setText(KeyEvent.getKeyText(values.getMotionUp()));
		motionDownT.setText(KeyEvent.getKeyText(values.getMotionDown()));
		toggleObj1T.setText(KeyEvent.getKeyText(values.getToggleObj1()));
		toggleObj2T.setText(KeyEvent.getKeyText(values.getToggleObj2()));
		toggleObj3T.setText(KeyEvent.getKeyText(values.getToggleObj3()));
		toggleObj4T.setText(KeyEvent.getKeyText(values.getToggleObj4()));
		toggleObj5T.setText(KeyEvent.getKeyText(values.getToggleObj5()));
		toggleObj6T.setText(KeyEvent.getKeyText(values.getToggleObj6()));
		toggleObj7T.setText(KeyEvent.getKeyText(values.getToggleObj7()));
		playPauseT.setText(KeyEvent.getKeyText(values.getPlayPause()));
		speedT.setText(values.getSpeed() + "");
		speedT.addActionListener(
				new ActionListener(){
					@Override
					public void actionPerformed(
							ActionEvent e){
						values.setSpeed(Integer.parseInt(speedT.getText()));
					}
				});
		
		helpP.add(helpL);
		helpP.add(helpT);
		toggleCutP.add(toggleCutL);
		toggleCutP.add(toggleCutT);
		shotP.add(shotUpL);
		shotP.add(shotUpT);
		shotP.add(shotDownL);
		shotP.add(shotDownT);
		cleanP.add(cleanUpL);
		cleanP.add(cleanUpT);
		cleanP.add(cleanDownL);
		cleanP.add(cleanDownT);
		motionP.add(motionUpL);
		motionP.add(motionUpT);
		motionP.add(motionDownL);
		motionP.add(motionDownT);
		toggleObj1P.add(toggleObj1L);
		toggleObj1P.add(toggleObj1T);
		toggleObj2P.add(toggleObj2L);
		toggleObj2P.add(toggleObj2T);
		toggleObj3P.add(toggleObj3L);
		toggleObj3P.add(toggleObj3T);
		toggleObj4P.add(toggleObj4L);
		toggleObj4P.add(toggleObj4T);
		toggleObj5P.add(toggleObj5L);
		toggleObj5P.add(toggleObj5T);
		toggleObj6P.add(toggleObj6L);
		toggleObj6P.add(toggleObj6T);
		toggleObj7P.add(toggleObj7L);
		toggleObj7P.add(toggleObj7T);
		playPauseP.add(playPauseL);
		playPauseP.add(playPauseT);
		playPauseP.add(speedL);
		playPauseP.add(speedT);
		
		help.setLayout(new BoxLayout(help, BoxLayout.Y_AXIS));
		help.add(version);
		help.add(helpP);
		help.add(toggleCutP);
//		help.add(shotUpP);
		help.add(shotP);
//		help.add(cleanUpP);
		help.add(cleanP);
//		help.add(motionUpP);
		help.add(motionP);
		help.add(toggleObj1P);
		help.add(toggleObj2P);
		help.add(toggleObj3P);
		help.add(toggleObj4P);
		help.add(toggleObj5P);
		help.add(toggleObj6P);
		help.add(toggleObj7P);
		help.add(ctrlClick);
		help.add(altClick);
		help.add(ctrlObj);
		help.add(altObj);
		help.add(playPauseP);
		
		add(help);
		
		setSize(500,800);
		setLocationRelativeTo(null);
	}
}
