package domain;

import java.util.ArrayList;

public enum IntExt {
	Int("INT."),
	Ext("EXT."),
	none("none");
	
	private final String name;       

    private IntExt(String s) {
        name = s;
    }
    
    public String getName() {
    	return name;
    }
    
    public static ArrayList<String> getStrings() {
    	ArrayList<String> v = new ArrayList<String>();
    	for (IntExt s: IntExt.values()) {
    		v.add(s.getName());
    	}
    	return v;
    }
   
}
