package domain;

public class ShotChange extends SceneObject {
	public final static String TYPE = "shot change";
	
	private String id;

	private ShotType shotType;
	private Motion motion;
	private boolean cut;
	
	public ShotChange() {
		cut = true;
	}
	
	public ShotChange(boolean cut) {
		this.cut = cut;
	}
	
	public String getId() {
		return id;
	}

	public void setId(String scene) {
		this.id = scene;
	}

	public ShotType getShotType() {
		return shotType;
	}

	public void setShotType(ShotType shotType) {
		this.shotType = shotType;
	}

	public Motion getMotion() {
		return motion;
	}

	public void setMotion(Motion motion) {
		this.motion = motion;
	}

	public boolean isCut() {
		return cut;
	}

	public void setCut(boolean cut) {
		this.cut = cut;
	}
	
	@Override
	public String getType() {
		return TYPE;
	}
	
}
