package liner;

import java.awt.BorderLayout;
import java.awt.FlowLayout;

import javax.swing.JFrame;

import domain.AllData;
import domain.Script;

public class Form extends JFrame {

	final ScriptForm sForm;
	final ObjectForm oForm;
	AllData allData;
	
	public Form(AllData all, int linesPerPage) {
		allData = all;
		sForm = new ScriptForm(allData, linesPerPage);
		oForm = new ObjectForm(allData, sForm);
		setLayout(new BorderLayout());
		add(sForm, BorderLayout.CENTER);
		add(oForm, BorderLayout.EAST);
		setSize(1400,800);
		setLocationRelativeTo(null);
//		setVisible(true);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
	}
	
	public ScriptForm getsForm() {
		return sForm;
	}
	
	public ObjectForm getoForm() {
		return oForm;
	}	
	
}
