package lister;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;

public class VectorFile {
	HashMap<String, Vector> vectors;
	ArrayList<String> files;
	
	public VectorFile() {
		vectors = new HashMap<String, Vector>();
		files = new ArrayList<String>();
	}

	public HashMap<String, Vector> getVectors() {
		return vectors;
	}

	public void setVectors(HashMap<String, Vector> vectors) {
		this.vectors = vectors;
	}

	public ArrayList<String> getFiles() {
		return files;
	}

	public void setFiles(ArrayList<String> files) {
		this.files = files;
	}
	
	public void put(String name, Vector v) {
		vectors.put(name, v);
	}
	
	public Vector get(String name) {
		return vectors.get(name);
	}
	
	public void add(String fileName) {
		files.add(fileName);
	}

	public boolean contains(String fileName) {
		return files.contains(fileName);
	}
}
